﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v1.8.2/chezmoi_1.8.2_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v1.8.2/chezmoi_1.8.2_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = '1a8c6c2849b149f4b5dd6e155779a213b9cb45c5e61505d52946e1519a0173d2'
    checksumType   = 'sha256'
    checksum64     = '042cf6a07ca509da48b20a0903b484faf96ded3bf35bcd95a2f354c1da93af35'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
